AbstractMetricsContext.TagMap (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.spi
Class AbstractMetricsContext.TagMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.TreeMap<String,Object>
              org.apache.hadoop.metrics.spi.AbstractMetricsContext.TagMap

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, NavigableMap<String,Object>, SortedMap<String,Object>

Enclosing class:
  AbstractMetricsContext

    @InterfaceAudience.Private
    public static class AbstractMetricsContext.TagMap

extends TreeMap<String,Object>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Method Summary
`boolean` | `containsAll(AbstractMetricsContext.TagMap other)` Returns true if this tagmap contains every tag in other.

Methods inherited from class java.util.TreeMap
`ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, size, subMap, subMap, tailMap, tailMap, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, isEmpty`

Method Detail

### containsAll

    public boolean containsAll(AbstractMetricsContext.TagMap other)

  Returns true if this tagmap contains every tag in other.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation